<!-- Schematron rules generated automatically. -->
<!-- Abstract rules for V02 -->
<!-- (2009). Invinet Sistemes -->
<pattern abstract="true" id="V02" xmlns="http://purl.oclc.org/dsdl/schematron">
  <rule context="$Issuing_Service">
    <assert test="$VCD-V02-R002" flag="warning">[VCD-V02-R002]-The issuing service SHOULD not have
      an issuing party for the referred documents related to his policy document: the issuing
      service is himself the party issuing his policy document.</assert>
  </rule>
  <rule context="$Evidence_Reference">
    <let name="criterionID" value="preceding-sibling::cbc:ID"/>
    <assert test="$VCD-V02-R004" flag="warning">[VCD-V02-R004]-If all evidences are supplied, the
      Criterion MUST have references to existing Evidences having proving documents.</assert>
    <assert test="$VCD-V02-R006" flag="fatal">[VCD-V02-R006]-The Criterion MUST have references to
      existing Evidences.</assert>
    <assert test="$VCD-V02-R028a" flag="fatal">[VCD-V02-R028a]-The cross-references between
      Criterion and Evidence MUST be coherent.</assert>
  </rule>
  <rule context="$Criterion_Reference">
    <let name="evidenceID" value="preceding-sibling::cbc:DocumentGroupID"/>
    <assert test="$VCD-V02-R028b" flag="fatal">[VCD-V02-R028b]-The cross-references between
      Criterion and Evidence MUST be coherent.</assert>
    <assert test="$VCD-V02-R005" flag="fatal">[VCD-V02-R005]-The Evidence MUST have references to
      existing Criteria.</assert>
  </rule>
  <rule context="$Person_Details">
    <assert test="$VCD-V02-R007" flag="fatal">[VCD-V02-R007]-If the relevant VCD Person does not
      have an ID, then the person's full name, birthdate and place of birth MUST exist.</assert>
  </rule>
  <rule context="$EMail_Address">
    <assert test="$VCD-V02-R008" flag="warning">[VCD-V02-R008]-The electronic mail address SHOULD
      have a valid eMail address value.</assert>
  </rule>
  <rule context="$UUID">
    <assert test="$VCD-V02-R009" flag="fatal">[VCD-V02-R009]-A UUID MUST have the scheme name "UUID
      Version 4", scheme agency name "ietf" and scheme uri
      "http://tools.ietf.org/html/rfc4122".</assert>
  </rule>
  <rule context="$Legal_Text">
    <assert test="$VCD-V02-R024" flag="fatal">[VCD-V02-R024]-The Legal Text element MUST have the
      attribute LanguageID in order to define the language.</assert>
  </rule>
  <rule context="$Further_Information">
    <assert test="$VCD-V02-R027" flag="fatal">[VCD-V02-R027]-The Further Information element MUST
      have the attribute LanguageID in order to define the language.</assert>
  </rule>
  <rule context="$VCD">
    <assert test="$VCD-V02-R029" flag="warning">[VCD-V02-R029]-A VCD SHOULD not contain empty
      elements.</assert>
  </rule>
  <rule context="$Economic_Operator">
    <assert test="$VCD-V02-R043" flag="fatal">[VCD-V02-R043]-The Economic Operator MUST have the
      name.</assert>
  </rule>
</pattern>
